Welcome! Log In Create A New Profile

Advanced

php 5.2.10 php-fpm 0.5.13 zend opt 3.3.9 can't work

Posted by ruyi7952 
php 5.2.10 php-fpm 0.5.13 zend opt 3.3.9 can't work
August 31, 2009 03:33AM
[code]
root@ubuntu:~/php# cat /proc/cpuinfo | grep name
model name : Quad-Core AMD Opteron(tm) Processor 2346 HE
[/code]

[code]
root@ubuntu:~/php# gcc -v
Using built-in specs.
Target: x86_64-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Ubuntu 4.3.3-5ubuntu4' --with-bugurl=file:///usr/share/doc/gcc-4.3/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --enable-shared --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --enable-nls --with-gxx-include-dir=/usr/include/c++/4.3 --program-suffix=-4.3 --enable-clocale=gnu --enable-libstdcxx-debug --enable-objc-gc --enable-mpfr --with-tune=generic --enable-checking=release --build=x86_64-linux-gnu --host=x86_64-linux-gnu --target=x86_64-linux-gnu
Thread model: posix
gcc version 4.3.3 (Ubuntu 4.3.3-5ubuntu4)
[/code]

my configure
[code]
gzip -cd php-5.2.10-fpm-0.5.13.diff.gz | patch -d php-5.2.10 -p1

CC=gcc CXX=g++ ./configure '--prefix=/var/webserver/php' '--with-config-file-path=/var/webserver/php/etc' '--with-mysql=/var/webserver/mysql' '--with-mysqli=/var/webserver/mysql/bin/mysql_config' '--with-iconv-dir=/usr/local' '--with-freetype-dir' '--with-jpeg-dir' '--with-png-dir' '--with-zlib' '--with-libxml-dir=/usr' '--enable-xml' '--disable-rpath' '--enable-discard-path' '--enable-bcmath' '--enable-shmop' '--enable-sysvsem' '--enable-inline-optimization' '--with-curl' '--with-curlwrappers' '--enable-mbregex' '--enable-fastcgi' '--enable-fpm' '--enable-force-cgi-redirect' '--enable-mbstring' '--with-gd' '--enable-gd-native-ttf' '--with-openssl' '--enable-pcntl' '--enable-sockets' '--without-pear'
[/code]

php.ini

[code]
root@ubuntu:~/php# cat /var/webserver/php/etc/php.ini | grep zend
zend.ze1_compatibility_mode = Off
zend_extension="/var/webserver/php/lib/ZendOptimizer.so"
zend_optimizer.optimization_level=15
[/code]

root@ubuntu:~/php# /var/webserver/php/bin/php -v
[b]Segmentation fault[/b]
root@ubuntu:~/php# /var/webserver/php/bin/php-cgi v
[b]Segmentation fault[/b]
dreamcat four
Re: php 5.2.10 php-fpm 0.5.13 zend opt 3.3.9 can't work
August 31, 2009 05:28AM
The 0.5.13 patch file is not as much supported anymore as the FPM 0.6.3.

Since you are on ubuntu, perhaps try again with the newer debian package.
It's PHP-5.2.10, FPM 0.6.3, compiled on 9.10 karmic.

See: http://dreamcat4.jottit.com/new_php5-fpm_testing_candidate
and: https://bugs.launchpad.net/ubuntu/+source/php5/+bug/397721

For Debugging / stack backtrace, see:
http://groups.google.com/group/highload-php-en/browse_thread/thread/cd0cb46a8a99cc2c


Best regards,

dreamcat4
dreamcat4@gmail.com
Sorry, only registered users may post in this forum.

Click here to login

Online Users

Guests: 70
Record Number of Users: 6 on February 13, 2018
Record Number of Guests: 421 on December 02, 2018
Powered by nginx      Powered by FreeBSD      PHP Powered      Powered by MariaDB      ipv6 ready